## pypjlink2 1.2.2

=== requirements.txt ===
appdirs==1.4.0

=== debian/changelog ===
pypjlink2 (1.2.2-3) unstable; urgency=medium

  * Patch pypjlink/cli.py to use platformdirs. (Closes: #1082583)
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 13:29:00 +0100

pypjlink2 (1.2.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 15:14:42 +0900

pypjlink2 (1.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1077270)

 -- Edward Betts <edward@4angle.com>  Sun, 28 Jul 2024 03:13:48 +0900

=== debian/control ===
Source: pypjlink2
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-platformdirs <!nocheck>,
 python3-pytest <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/benoitlouy/pypjlink
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pypjlink2
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pypjlink2.git

Package: python3-pypjlink2
Architecture: all
Depends:
 python3-platformdirs,
 python3:any,
 ${misc:Depends},
Description: Implementation of the PJLink Class 1 protocol to control projectors
 This library enables control over projectors that support the PJLink protocol.
 It allows users to manage power states, input selection, and other projector
 functions through a standardized interface. The library specifically includes
 support for controlling Optoma projectors. By utilizing network communication,
 this library facilitates seamless integration of projector control into larger
 automation systems, enabling centralized management and monitoring.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypjlink2
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pypjlink2.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pypjlink2-$1\.tar\.gz/ \
  https://github.com/benoitlouy/pypjlink/tags .*/v?(\d\S+)\.tar\.gz
